unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    procedure FormCreate(Sender: TObject);
    procedure Chart1BeforeDrawSeries(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series, TeeTools;

var annot1: TAnnotationTool;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.AddSeries(TBarSeries).FillSampleValues;

  annot1:=Chart1.Tools.Add(TAnnotationTool) as TAnnotationTool;

  with annot1 do
  begin
    Text:='This is a bottom axis title with offset';
    Shape.Transparent:=true;
  end;
end;

procedure TForm1.Chart1BeforeDrawSeries(Sender: TObject);
var xOffset, tmpWidth, tmpHeight: Integer;
begin
  xOffset:=10;

  annot1.Shape.CustomPosition:=true;

  tmpWidth:=annot1.Width;
  tmpHeight:=annot1.Height;

  Chart1.Canvas.AssignFont(annot1.Shape.Font);
  if tmpWidth=0 then
    tmpWidth:=Chart1.Canvas.TextWidth(annot1.Text);

  if tmpHeight=0 then
    tmpHeight:=Chart1.Canvas.TextHeight(annot1.Text);

  annot1.Left:=Chart1.Axes.Bottom.IStartPos + Chart1.Axes.Bottom.IAxisSize div 2 - tmpWidth div 2 + xOffset;
  annot1.Top:=Chart1.Height - tmpHeight - 10;
end;

end.
